Subject: Re: [PATCH v4] submodule: port subcommand 'set-url' from shell to C

From: Shourya Shukla <[email-masked]>
Date: Thu, 7 May 2020 10:10:28 +0530

On 06/05 11:22, Junio C Hamano wrote: 
> Ah, I misread those examples that suggested that you are supposed to
> check for N+1 when you expect N arguments.   They are *not* using
> parse_options() and that is where that funny numbering comes from.
> 
> This one uses "argc = parse_options(...)" so we should check for N
> when we want N args.  Thanks.

No worries. BTW, should I include the `path == NULL` check in the
if-statement? I think the `argc` check would suffice but I would still
love to hear a final verdict from you and Christian :)